Delete Streaming Locator

delhttps://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name

Deletes the Streaming Locator. If the Streaming Locator does not exist, a 204 is returned same as if it does. Once the Streaming Locator is deleted, all future requests to the path owned by the Streaming Locator will fail. If content is cached in a CDN, playback may continue to work for some time until the cached content expires.

RBAC Capability Required: ams.streaminglocator.delete

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
locator_namestringRequired

Response

200Streaming Locator deleted.

No response body.

204Nothing to delete.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…